Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class OperationContext

    java.lang.Object
      oracle.ifs.common.OperationContext

    public final class OperationContext

extends java.lang.Object

An `OperationContext` manages the state of a single server-side operation.

(Published)

Field Summary
`static int` | `EXECUTION_STATUS_COMPLETE` Execution status that indicates that the operation has been executed.
`static int` | `EXECUTION_STATUS_IN_PROGRESS` Execution status that indicates that the operation is being executed.
`static int` | `EXECUTION_STATUS_NOT_EXECUTED` Execution status that indicates that the operation has not been executed.
`static int` | `EXECUTION_STATUS_REQUESTED` Execution status that indicates that the operation has not been requested for execution.
`protected java.util.Hashtable` | `m_Properties` Properties table.

Constructor Summary
`OperationContext()` Construct an OperationContext.
`OperationContext(LibrarySessionInterface session, AttributeValue target)` Construct an OperationContext on a specified initial object, on behalf of a session.
`OperationContext(OperationContext context)` Construct an OperationContext based on another OperationContext.

Method Summary
`AttributeValue` | `getAttributeValueReturnValue()` Get the AttributeValue result from the operation state.
`boolean` | `getBooleanReturnValue()` Get the boolean result from the operation state.
`LibraryObjectDefinition` | `getDefinition()` Returns the definition containing the detials of the operation to be performed.
`int` | `getExecutionStatus()` Gets the execution status on the Operation context.
`java.lang.String` | `getOperation()` Returns the operation to be performed.
`OperationState` | `getOperationState()` Gets the pre-10g OperationState, to be forwarded to some methods have not yet been converted to the new operation methodology.
`java.lang.Object` | `getProperty(java.lang.String name)` Return a Property value.
`java.lang.Object` | `getReturnValue()` Gets the "result" of the operation.
`LibraryObjectInterface` | `getTargetObject(LibrarySessionInterface session)` Returns the object that is the target of the operation.
`AttributeValue` | `getTargetObjectValue()` Returns the object that is the target of the operation.
`void` | `removeProperty(java.lang.String name)` Removes a property setting.
`void` | `setDefinition(LibraryObjectDefinition def)` Sets the definition containing the details of the operation to be performed.
`void` | `setDefinition(S_LibraryObjectDefinition def)` Sets the definition containing the details of the operation to be performed.
`void` | `setExecutionStatus(int status)` Internal use only: set the execution status on the Operation context.
`void` | `setOperation(java.lang.String operation)` Sets the operation to be performed.
`void` | `setOperationState(OperationState opState)` Sets the pre-10g OperationState, to be forwarded to some methods have not yet been converted to the new operation methodology.
`void` | `setProperty(java.lang.String name, java.lang.Object value)` Set a property.
`void` | `setReturnValue(java.lang.Object returnValue)` Sets the value to be returned as the "result" of the operation.
`void` | `setTargetObject(LibraryObjectInterface target)` Sets the object that is the target of the operation.
`void` | `setTargetObjectValue(AttributeValue target)` Sets the object that is the target of the operation.
`java.lang.Object` | `verifyReturnValue()` Verify that a non-null return value exists for this Operation state.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXECUTION_STATUS_NOT_EXECUTED

    public static final int EXECUTION_STATUS_NOT_EXECUTED

  Description copied from class: `OperationContext`
  Execution status that indicates that the operation has not been executed.

  See Also:
    Constant Field Values
  (Published)

### EXECUTION_STATUS_REQUESTED

    public static final int EXECUTION_STATUS_REQUESTED

  Description copied from class: `OperationContext`
  Execution status that indicates that the operation has not been requested for execution. If the operation "completes" with this status, this indicates that no PolicyActions were in effect for the requested operation.

  See Also:
    Constant Field Values
  (Published)

### EXECUTION_STATUS_IN_PROGRESS

    public static final int EXECUTION_STATUS_IN_PROGRESS

  Description copied from class: `OperationContext`
  Execution status that indicates that the operation is being executed.

  See Also:
    Constant Field Values
  (Published)

### EXECUTION_STATUS_COMPLETE

    public static final int EXECUTION_STATUS_COMPLETE

  Description copied from class: `OperationContext`
  Execution status that indicates that the operation has been executed.

  See Also:
    Constant Field Values
  (Published)

### m_Properties

    protected java.util.Hashtable m_Properties

  Description copied from class: `OperationContext`
  Properties table.

  (Unpublished)

Constructor Detail

### OperationContext

    public OperationContext()
                     throws IfsException

  Construct an OperationContext.

  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### OperationContext

    public OperationContext(LibrarySessionInterface session,
                            AttributeValue target)
                     throws IfsException

  Construct an OperationContext on a specified initial object, on behalf of a session.

  Parameters:
    `session` - the session
    `target` - the initial target object
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### OperationContext

    public OperationContext(OperationContext context)
                     throws IfsException

  Construct an OperationContext based on another OperationContext. Equivalent to:

       new OperationContext().setOperation(context.getOperation());

  Parameters:
    `context` - a context whose operation will be set for the newly constructed OperationContext
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### setOperation

    public void setOperation(java.lang.String operation)
                      throws IfsException

  Description copied from class: `OperationContext`
  Sets the operation to be performed.

  Parameters:
    `operation` - the operation
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setTargetObjectValue

    public void setTargetObjectValue(AttributeValue target)
                              throws IfsException

  Description copied from class: `OperationContext`
  Sets the object that is the target of the operation.

  Parameters:
    `target` - the target object
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setTargetObject

    public void setTargetObject(LibraryObjectInterface target)
                         throws IfsException

  Description copied from class: `OperationContext`
  Sets the object that is the target of the operation.

  Parameters:
    `target` - the target object
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setDefinition

    public void setDefinition(LibraryObjectDefinition def)
                       throws IfsException

  Description copied from class: `OperationContext`
  Sets the definition containing the details of the operation to be performed.

  Parameters:
    `def` - the definition for the operation
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setDefinition

    public void setDefinition(S_LibraryObjectDefinition def)
                       throws IfsException

  Description copied from class: `OperationContext`
  Sets the definition containing the details of the operation to be performed.

  Parameters:
    `def` - the definition for the operation
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### setOperationState

    public void setOperationState(OperationState opState)
                           throws IfsException

  Description copied from class: `OperationContext`
  Sets the pre-10g OperationState, to be forwarded to some methods have not yet been converted to the new operation methodology.

  Parameters:
    `opState` - the pre-10g OperationState
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)
                     throws IfsException

  Description copied from class: `OperationContext`
  Set a property.

  Parameters:
    `name` - The property name
    `value` - The property value.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### removeProperty

    public void removeProperty(java.lang.String name)
                        throws IfsException

  Description copied from class: `OperationContext`
  Removes a property setting.

  Parameters:
    `name` - The name of the property to be removed.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### setReturnValue

    public void setReturnValue(java.lang.Object returnValue)
                        throws IfsException

  Description copied from class: `OperationContext`
  Sets the value to be returned as the "result" of the operation.

  Parameters:
    `returnValue` - the return value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setExecutionStatus

    public void setExecutionStatus(int status)
                            throws IfsException

  Description copied from class: `OperationContext`
  Internal use only: set the execution status on the Operation context.

  Parameters:
    `status` - Execution status
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getOperation

    public java.lang.String getOperation()
                                  throws IfsException

  Description copied from class: `OperationContext`
  Returns the operation to be performed.

  Returns:
    the operation
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getTargetObjectValue

    public AttributeValue getTargetObjectValue()
                                        throws IfsException

  Description copied from class: `OperationContext`
  Returns the object that is the target of the operation.

  Returns:
    the target object
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getTargetObject

    public LibraryObjectInterface getTargetObject(LibrarySessionInterface session)
                                           throws IfsException

  Description copied from class: `OperationContext`
  Returns the object that is the target of the operation.

  Returns:
    the target object
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getDefinition

    public LibraryObjectDefinition getDefinition()
                                          throws IfsException

  Description copied from class: `OperationContext`
  Returns the definition containing the detials of the operation to be performed.

  Returns:
    the definition for the operation
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getOperationState

    public OperationState getOperationState()
                                     throws IfsException

  Description copied from class: `OperationContext`
  Gets the pre-10g OperationState, to be forwarded to some methods have not yet been converted to the new operation methodology.

  Returns:
    the pre-10g OperationState
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getExecutionStatus

    public int getExecutionStatus()
                           throws IfsException

  Description copied from class: `OperationContext`
  Gets the execution status on the Operation context.

  Returns:
    Execution status
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getReturnValue

    public java.lang.Object getReturnValue()
                                    throws IfsException

  Description copied from class: `OperationContext`
  Gets the "result" of the operation.

  Returns:
    the return value
  Throws:
    `IfsException` - if the operation fails
  (Published)

### verifyReturnValue

    public java.lang.Object verifyReturnValue()
                                       throws IfsException

  Description copied from class: `OperationContext`
  Verify that a non-null return value exists for this Operation state.

  Throws:
    `IfsException` - (IFS-19100) if return value does not exist
  (Published)

### getBooleanReturnValue

    public boolean getBooleanReturnValue()
                                  throws IfsException

  Description copied from class: `OperationContext`
  Get the boolean result from the operation state.

  Throws:
    `IfsException` - (IFS-19100) if return value does not exist
    `IfsException` - (IFS-19101) if the return value is not a Boolean
  (Published)

### getAttributeValueReturnValue

    public AttributeValue getAttributeValueReturnValue()
                                                throws IfsException

  Description copied from class: `OperationContext`
  Get the AttributeValue result from the operation state.

  Throws:
    `IfsException` - (IFS-19100) if return value does not exist
    `IfsException` - (IFS-19101) if the return value is not an AttributeValue
  (Published)

### getProperty

    public java.lang.Object getProperty(java.lang.String name)
                                 throws IfsException

  Description copied from class: `OperationContext`
  Return a Property value.

  Parameters:
    `name` - the name of the Property
  Returns:
    the corresponding Value for the property
  Throws:
    `IfsException` - if operation fails.
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD